Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Package conflicts with another package
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Russian
View previous topic :: View next topic  
Author Message
dasV
n00b
n00b


Joined: 24 Jul 2005
Posts: 50

PostPosted: Sat Jun 03, 2006 8:50 pm    Post subject: Package conflicts with another package Reply with quote

При обновлении мира, вот такую петрушку выдал, в инете говорят что конфликтуют пакеты, и мол если сделать -p то и увидеть можно кто с кем, реальность сурова =(

одну блокировку я пофиксил она была связана с pam-login и shadow, что решилось вот такой командой

Code:
emerge --buildpkgonly --nodeps shadow && emerge -C pam-login && emerge --usepkgonly shadow


второе, не понятно как решать

Code:
alika linux # emerge -uD world
Calculating world dependencies ...done!

!!! Error: the sys-apps/utempter package conflicts with another package.
!!!        both can't be installed on the same system together.
!!!        Please use 'emerge --pretend' to determine blockers.

alika linux # emerge -uDp world

These are the packages that I would merge, in order:

Calculating world dependencies ...done!
[blocks B     ] sys-apps/utempter (is blocking sys-libs/libutempter-1.1.2.1)
[ebuild     U ] sys-devel/binutils-2.16.1-r2 [2.16.1]
[ebuild     U ] sys-devel/gcc-3.4.6-r1 [3.4.5-r1]
[ebuild     U ] dev-lang/perl-5.8.8-r2 [5.8.8-r1]
[ebuild  N    ] perl-core/Test-Harness-2.56
[ebuild     U ] app-admin/perl-cleaner-1.04 [1.01]
[ebuild  N    ] perl-core/PodParser-1.32
[ebuild  N    ] sys-libs/libutempter-1.1.2.1
[ebuild     U ] x11-terms/xterm-207-r1 [207]
[ebuild     U ] media-libs/jpeg-6b-r7 [6b-r5]
[ebuild     U ] media-libs/tiff-3.8.2 [3.7.4]
[ebuild     U ] app-text/poppler-0.5.1-r1 [0.5.0-r5]
[ebuild     U ] media-libs/freeglut-2.4.0 [2.2.0]
[ebuild     U ] dev-libs/nss-3.11-r1 [3.9.2-r2]
[ebuild  N    ] media-plugins/gst-plugins-esd-0.8.11
[ebuild  N    ] sys-power/powermgmt-base-1.22
[ebuild     U ] sys-apps/apmd-3.2.2_p5 [3.2.1_p4]
[ebuild  N    ] dev-libs/libksba-0.9.14
[ebuild  N    ] dev-libs/pth-1.4.0
[ebuild  N    ] dev-libs/libassuan-0.6.10
[ebuild  NS   ] app-crypt/gnupg-1.9.20-r3
[ebuild     U ] virtual/perl-PodParser-1.34 [1.30]
[ebuild     U ] virtual/perl-MIME-Base64-3.07 [3.05]
[ebuild     U ] virtual/perl-Digest-MD5-2.36 [2.33]
[ebuild     U ] virtual/perl-Test-Harness-2.56 [2.48]
[ebuild     U ] app-text/enchant-1.2.5 [1.1.6]
[ebuild     U ] app-text/gnome-spell-1.0.7-r1 [1.0.6]
[ebuild     U ] app-text/poppler-bindings-0.5.1-r1 [0.5.0]
[ebuild     U ] app-text/evince-0.5.1 [0.4.0-r3]
[ebuild     U ] media-libs/libmikmod-3.1.11-r2 [3.1.11-r1]
[ebuild     U ] www-client/opera-8.54 [8.52]



И что делать в такой ситуации?

С уважением das


Last edited by dasV on Sat Jun 03, 2006 9:07 pm; edited 1 time in total
Back to top
View user's profile Send private message
viy
Veteran
Veteran


Joined: 03 Jul 2004
Posts: 1580
Location: Riga, Latvia

PostPosted: Sat Jun 03, 2006 9:07 pm    Post subject: Reply with quote

Проверять надо так: emerge -Dpuv world

Я просто его грохнул, и собрал пакет, который с ним кофликтовал, вроде libutempter.
Back to top
View user's profile Send private message
dasV
n00b
n00b


Joined: 24 Jul 2005
Posts: 50

PostPosted: Sat Jun 03, 2006 9:31 pm    Post subject: Reply with quote

да вот фиг его знает нужон ли этот utempter или нет. Грохнуть это можно, кабы потом не аукнулось???
Да и вообще, радикальный какой то способ я его конечно использовал с pam-login, но там был дан ясный ответ на вопрос "что делать?".

Вообще есть какой нить более так сказать изящный способ избегать такого рода блокировок?

С уважением das
Back to top
View user's profile Send private message
KiberGus
Tux's lil' helper
Tux's lil' helper


Joined: 16 Apr 2005
Posts: 81
Location: Moskow, Russia

PostPosted: Sun Jun 04, 2006 8:08 am    Post subject: Reply with quote

Он позволяет создавать темповые файлы. Просто теперь надо ставить что-то другое вместо него. Тоже с utemper в названии. Провелькивало в английской части форума.
Back to top
View user's profile Send private message
Laitr Keiows
Moderator
Moderator


Joined: 04 Jul 2005
Posts: 891
Location: Kobe, Japan

PostPosted: Sun Jun 04, 2006 2:02 pm    Post subject: Reply with quote

Поиском по форуму!

Сразу скажу что конфиликтующие (уже установленные) пакеты в этом случае можно удалять, libutemper заменяет utempter.

Добавил:
Re: pam-login/shadow
https://forums.gentoo.org/viewtopic-t-443022.html

Re: utempter/libutempter
https://forums.gentoo.org/viewtopic-t-413974.html

dasV wrote:
Вообще есть какой нить более так сказать изящный способ избегать такого рода блокировок?

Обновлять только то что необходимо. Вообще не такая уж проблема.
Back to top
View user's profile Send private message
viy
Veteran
Veteran


Joined: 03 Jul 2004
Posts: 1580
Location: Riga, Latvia

PostPosted: Sun Jun 04, 2006 5:22 pm    Post subject: Reply with quote

Блокировок избежать нельзя.

Они возникают потому, что функционал, который ранее обеспечивался одинм пакетом, впредь предоставляется другим.
Чтобы не возникало путаницы и всяких коллизий, желательно иметь только один пакет, предпочтительно новый.

При создании ebuild'ов этот момент проявляется как список блокирующих пакетов в ebuild'е более свежой софтины.
Back to top
View user's profile Send private message
dasV
n00b
n00b


Joined: 24 Jul 2005
Posts: 50

PostPosted: Sun Jun 04, 2006 8:36 pm    Post subject: Reply with quote

Спасибо большое за участие и за ссылки. Воспользовался решением типа

Code:

emerge -C utempter
emerge libutempter 



Вроде все еще живо и обновление прошло без проблем =)
Back to top
View user's profile Send private message
Kee_Keekkenen
n00b
n00b


Joined: 01 Dec 2005
Posts: 34

PostPosted: Tue Jun 06, 2006 1:18 pm    Post subject: Reply with quote

так и должно быть
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Russian All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum